#include "led.h"

int LED::ledPin = 0;
unsigned long LED::lastLedToggle = 0;
bool LED::ledState = false;

void LED::init(int pin)
{
  Serial.println("LED Init");
  ledPin = pin;
  pinMode(ledPin, OUTPUT);
  digitalWrite(ledPin, HIGH);
}

void LED::updateStatusLED(bool status)
{
  if (status)
  {
    digitalWrite(ledPin, HIGH);
  }
  else
  {
    unsigned long currentMillis = millis();
    if (currentMillis - lastLedToggle >= LED_FLASH_INTERVAL)
    {
      lastLedToggle = currentMillis;
      ledState = !ledState;
      digitalWrite(ledPin, ledState);
    }
  }
}