#include "utils.h"

void floatToBytes(float val, uint8_t *bytes)
{
  union
  {
    float f;
    uint8_t bytes[4];
  } u;
  u.f = val;

  // 考虑大小端问题
  for (int i = 0; i < 4; i++)
  {
    bytes[i] = u.bytes[i];
  }
}

float bytesToFloat(uint8_t *bytes)
{
  union
  {
    float f;
    uint8_t bytes[4];
  } u;
  for (int i = 0; i < 4; i++)
  {
    u.bytes[i] = bytes[i];
  }
  return u.f;
}